Fetch an attribute by id, including all of its applications.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Attributes under the Setup & Administration category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/attributes/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"entities": [
{
"dateValues": [
"<string>"
],
"entityId": 123,
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"name": "<string>",
"numberValues": [
123
],
"stringValues": [
"<string>"
],
"values": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"stringValue": "CDL"
}
]
}
],
"attributeType": "single-select",
"entityType": "asset",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "License Certifications",
"numberValues": [
123
],
"stringValues": [
"<string>"
],
"unit": "METER",
"values": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"stringValue": "CDL"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Samsara-provided UUID of the attribute.
Denotes the type of entity, driver or asset.
driver, asset The attribute corresponding to request id.
Show child attributes
curl --request GET \
--url https://api.samsara.com/attributes/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"entities": [
{
"dateValues": [
"<string>"
],
"entityId": 123,
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"name": "<string>",
"numberValues": [
123
],
"stringValues": [
"<string>"
],
"values": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"stringValue": "CDL"
}
]
}
],
"attributeType": "single-select",
"entityType": "asset",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "License Certifications",
"numberValues": [
123
],
"stringValues": [
"<string>"
],
"unit": "METER",
"values": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"stringValue": "CDL"
}
]
}
}